QHYCCD

QHYCCD Software Developer Zone => QHYCCD SDK for LINUX => QHYCCD LINUX World => Topic started by: cevoner on May 29, 2018, 08:53:20 AM

Title: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: cevoner on May 29, 2018, 08:53:20 AM
I'm trying to use OACapture with the QHY5III224 camera attached. Dmesg shows its attached but it does not recognizable by any program. I know its' USB3 camera. I had a 5L-II that was usable in OACapture.
I've tried multiple methods outlined in posts to no effect. Is the camera just too powerful for the Pi?
Works fine in a Windows PC.
Trying to have it work on a PI3 because of the portability.
Is there a better application to choose? I've tried Indie, and PlanetaryImager also.
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: QinXiaoXu on May 29, 2018, 08:10:54 PM
Hi,
    You can input "lsusb" on terminal to check if its VID/PID is 1618/0225,if not,you need download firmware.Have you install Ubuntu SDK on your computer?And here is the SDK download address.https://github.com/qhyccd-lzr/QHYCCD_Linux_New (https://github.com/qhyccd-lzr/QHYCCD_Linux_New)
Best Regards,
QinXiaoXu
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: cevoner@gmail.com on June 04, 2018, 11:56:27 AM
Hi,
    You can input "lsusb" on terminal to check if its VID/PID is 1618/0225,if not,you need download firmware.Have you install Ubuntu SDK on your computer?And here is the SDK download address.https://github.com/qhyccd-lzr/QHYCCD_Linux_New (https://github.com/qhyccd-lzr/QHYCCD_Linux_New)
Best Regards,
QinXiaoXu
Hi, I do have 0225 show up on lsusb, I'm not sure about 1618. The only place I have any recognize of the camera is in EKOS where I get white noise and it seems to be a dummy picture. In planetaryimager I get an error that it cannot render frame. It sees it but no picture. I'm trying to put 85-qhyccd.rules in a few places. It seems to be in only 1 directory.
This is my output lsusb:
Bus 001 Device 008: ID 1618:0225 
Bus 001 Device 006: ID 0603:0002 Novatek Microelectronics Corp.
Bus 001 Device 005: ID 266e:0103 
Bus 001 Device 004: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp. SMSC9512/9514 Fast Ethernet Adapter
Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp. SMC9514 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Planetaryimager will see it but gives this error on Load:
Error on frame capture Planetary Imager
An error occured while capturing frame for QHY5III224C:
QHY error QHYCCD_ERROR (code: -1) on Capturing live frame (/code/src/drivers/qhy/qhyimagingworker.cpp:70)
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: QinXiaoXu on June 05, 2018, 09:10:39 PM
Hi,
    Sorry for my late reply.I can find it in you machine,but I don't know why you can't use it with that software.Can I remote control your computer?If so,you can install a teamviewer,and let me know,my email is qxx@qhyccd.com.
Best Regards,
QinXiaoXu
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: cevoner@gmail.com on June 08, 2018, 10:17:58 AM
Hi,
    Sorry for my late reply.I can find it in you machine,but I don't know why you can't use it with that software.Can I remote control your computer?If so,you can install a teamviewer,and let me know,my email is qxx@qhyccd.com.
Best Regards,
QinXiaoXu
Hi, Teamviewer keeps crashing my Pi3. Do you have any other recommendations?
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: QinXiaoXu on June 10, 2018, 09:54:14 PM
Hi,
    If your download teamviewer is for RPI?Here is the download address of teamviewer for RPI:https://www.google.com/url?q=https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb%23_ga%3D2.131617999.1513858433.1502989840-293794942.1502989840&sa=D&source=hangouts&ust=1528771869310000&usg=AFQjCNEL-6fxuxOegSNu_YGFFKqnrlvcjw (https://www.google.com/url?q=https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb%23_ga%3D2.131617999.1513858433.1502989840-293794942.1502989840&sa=D&source=hangouts&ust=1528771869310000&usg=AFQjCNEL-6fxuxOegSNu_YGFFKqnrlvcjw).
Best Regards,
QinXiaoXu
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: cevoner@gmail.com on June 13, 2018, 12:27:27 PM
Hi,
    If your download teamviewer is for RPI?Here is the download address of teamviewer for RPI:https://www.google.com/url?q=https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb%23_ga%3D2.131617999.1513858433.1502989840-293794942.1502989840&sa=D&source=hangouts&ust=1528771869310000&usg=AFQjCNEL-6fxuxOegSNu_YGFFKqnrlvcjw (https://www.google.com/url?q=https://download.teamviewer.com/download/linux/teamviewer-host_armhf.deb%23_ga%3D2.131617999.1513858433.1502989840-293794942.1502989840&sa=D&source=hangouts&ust=1528771869310000&usg=AFQjCNEL-6fxuxOegSNu_YGFFKqnrlvcjw).
Best Regards,
QinXiaoXu
I'll try that. Some pages say Teamviewer is not for Raspberry Pi.
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: JamesF on June 13, 2018, 07:06:24 PM
oacapture doesn't have a driver for this camera at the moment.  I hope to make some progress with that soon, but I don't have a camera to test with so it is going to be a little difficult.

James
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: cevoner@gmail.com on June 13, 2018, 08:03:02 PM
oacapture doesn't have a driver for this camera at the moment.  I hope to make some progress with that soon, but I don't have a camera to test with so it is going to be a little difficult.

James
The closest I get seeing it is with Planetary Imager which is similar to oacapture. It sees it, shows info on the camera but cannot capture image. Errors are displayed above. I have Teamviewer active with no crashes with your link above, by the way.
Title: Re: QHY5III224 will not be recognized by raspberry Pi3 in OACapture
Post by: JamesF on May 23, 2019, 05:45:45 PM
Reanimating this thread to add that oacapture (as of the 1.6.0 release a couple of weeks ago) does now use libqhyccd, so if a camera is supported by that library then oacapture should work with it.

It's possible there will be problems as I have don't have any of the newer cameras to test against, so please let me know if something doesn't work.

James